For the complete documentation index, see llms.txt. This page is also available as Markdown.

OpenData products

API test authentication

Returns a list of the OpenData products that are available to download.

get
Query parameters
expandedbooleanOptional

When specified, the full details of each product will be returned.

Responses
200

Successful response.

application/json

Information about a product made available through this API.

idstringRequired
namestringRequired
descriptionstring[] · min: 1Required
versionstringRequiredPattern: ^/d{4}-/d{2}$
urlstringRequired
documentationUrlstringOptional
categorystringOptional
categoriesstring[]Optional
imageCountintegerOptional
imageTemplatestringOptional
downloadsUrlstring · uriOptional
warningstringOptional
endOfLifestringOptionalPattern: ^/d{4}-/d{2}-/d{2}$
get/products
GET /downloads/v1/products HTTP/1.1
Host: api.os.uk/
Accept: */*
200

Successful response.

[
  {
    "id": "text",
    "name": "text",
    "description": [
      "text"
    ],
    "version": "text",
    "thirdPartyInfo": {
      "dataProvider": {
        "name": "text",
        "shortName": "text",
        "homepage": "text",
        "logoUrl": "https://example.com"
      },
      "supportingInfo": [
        {
          "name": "text",
          "link": "https://example.com"
        }
      ],
      "alsoAvailable": [
        {
          "name": "text",
          "link": "https://example.com"
        }
      ],
      "supportEmail": "name@gmail.com"
    },
    "url": "text",
    "documentationUrl": "text",
    "areas": [
      "GB"
    ],
    "dataStructures": [
      "Raster"
    ],
    "category": "text",
    "categories": [
      "text"
    ],
    "formats": [
      {
        "format": "text",
        "subformat": "text"
      }
    ],
    "imageCount": 1,
    "imageTemplate": "text",
    "downloadsUrl": "https://example.com",
    "warning": "text",
    "endOfLife": "text"
  }
]

Last updated

Was this helpful?